Bug 213445 - net/openbgpd: Update to 6.5p0
Summary: net/openbgpd: Update to 6.5p0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-13 11:51 UTC by Marlin Cremers
Modified: 2019-06-04 17:46 UTC (History)
9 users (show)

See Also:


Attachments
patch (730.96 KB, patch)
2019-05-01 07:29 UTC, Kurt Jaeger
koobs: maintainer-approval+
Details | Diff
[PATCH] net/openbgpd: update 5.2.20121209 to 6.5p0 (734.26 KB, patch)
2019-05-16 17:40 UTC, Vinícius Zavam
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marlin Cremers 2016-10-13 11:51:12 UTC
A new version of OpenBGPd is available 6.0. I was wondering whether it would be possible to update this package to the latest version.
Comment 1 Jan Bramkamp 2016-10-13 16:07:51 UTC
The OpenBGPd port has been abandoned for all intends and purposes. IIRC the ancient OpenBGPd version this port references even lacks support for 4 byte ASNs.

Porting a recent OpenBGPd version is far from trivial because it is deeply integrated with the OpenBSD kernel.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-14 05:21:59 UTC
There was mention/word ~ November 2015 of the potential for updated 'portable' versions.

We also have a number of users interested in bringing the openbgpd port back to life, which I agree has great value (for for OpenBSD, and others).

While normally, requests for port updates without patches are closed, I think in this case and others similar to it, there is merit in having a single place of reference for FreeBSD/OpenBGPD users (or potential users) to coordinate effort
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-30 12:53:32 UTC
6.5p0 (portable)was just announced:

https://ftp.openbsd.org/pub/OpenBSD/OpenBGPD/openbgpd-6.5p0-relnotes.txt
Comment 4 Kurt Jaeger freebsd_committer 2019-05-01 07:29:36 UTC
Created attachment 204136 [details]
patch

Testbuilds are fine
Comment 5 Vinícius Zavam freebsd_committer 2019-05-16 17:40:27 UTC
Created attachment 204404 [details]
[PATCH] net/openbgpd: update 5.2.20121209 to 6.5p0


I would like to report&share that the current patch builds fine for 11, 12 and HEAD (on amd64, armv6 and i386). used poudriere testport for all.

this new version was created using 'svn diff --diff-cmd=diff -x -U99999 net/openbgpd' from the default PORTSDIR root (not from the ports' pwd).

should you want to apply this one, follow:

# svnlite update /usr/ports
# cd /usr/ports
# svn patch <PATHTOCURRENTPATCH>


portlint OK
Comment 6 Vinícius Zavam freebsd_committer 2019-05-16 17:47:45 UTC
%s/svn\ /svnlite\ /g :)
Comment 7 Vinícius Zavam freebsd_committer 2019-05-27 08:54:00 UTC
just out of curiosity: wouldn't be a "safer approach" to create/offer a new port for this new version of OpenBGPd?
Comment 8 Dave Cottlehuber freebsd_committer 2019-05-28 10:04:17 UTC
given the age of the original port, and that it's not supported *at all* by the upstream project, I think it's ok to migrate - this is the master branch; the older version will still be available in quarterly for a couple more months.

BTW poudriere test OK across:

11.2R amd64 & i386
12.0R amd64 & i386 & aarch64
13.0-CURRENT amd64
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-28 10:37:19 UTC
(In reply to Vinícius Zavam from comment #5)

Whats the change delta to the original patch provided in attachment 204136 [details]?
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-28 10:43:27 UTC
(In reply to Kubilay Kocak from comment #9)

Looks like it adds LICENSE/LICENSE_FILE and re-organizes/sorts entries (unless I missed something)
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-28 10:44:10 UTC
Comment on attachment 204136 [details]
patch

Approved by: portmgr (maintainer timeout: 27 days)
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-28 10:45:24 UTC
@Kurt You may want to pickup the changes from attachment 204404 [details], particularly if they're QA/portlint/etc related, and at least the LICENSE{_FILE} additions.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-28 10:45:54 UTC
Forgot in last update:

@Triage Submitter is committer, assign accordingly (their patch is approved by maintainer timeout)
Comment 14 Dave Cottlehuber freebsd_committer 2019-05-28 11:14:03 UTC
(In reply to Dave Cottlehuber from comment #8)
for clarity, my comments/testing are against Vinícius' 204404 diff. LGTM, portlint ok too.
Comment 15 Vinícius Zavam freebsd_committer 2019-05-31 13:25:17 UTC
(In reply to Kubilay Kocak from comment #10)

not much, actually; as you noticed, Makefile was sorted to pet portlint. LICENSE variables were both kept as is (maybe they did not show in the original patch because the reporter did not use verbose output).

I also created a diff with svnlite based on the PORTSDIR, not in the port's subdir.

before, of course, I did test using testport and portlint. all fine for 11, 12 and HEAD. for 11 and 12 extra landed in a jail to `make all stage-qa check-plist`
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-31 13:28:36 UTC
Comment on attachment 204404 [details]
[PATCH] net/openbgpd: update 5.2.20121209 to 6.5p0

Approved by: portmgr (maintainer timeout: 15 days)
Comment 17 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-31 13:29:28 UTC
(In reply to Vinícius Zavam from comment #15)

Your patch is now approved by maintainer timeout.

Feel free to coordinate with Kurt as to who commits which patch (or combination thereof)
Comment 18 crest 2019-05-31 13:33:16 UTC
What is intended scope of the OpenBGPd portable port to FreeBSD?
Comment 19 commit-hook freebsd_committer 2019-05-31 15:04:57 UTC
A commit references this bug:

Author: pi
Date: Fri May 31 15:04:31 UTC 2019
New revision: 503178
URL: https://svnweb.freebsd.org/changeset/ports/503178

Log:
  net/openbgpd: upgrade 5.2.20121209 -> 6.5p0

  - petted portlint

  PR:		213445
  Submitted by:	egypcio, pi
  Reviewed by:	dch, koobs
  Approved by:	hrs (maintainer timeout)
  Relnotes:	https://ftp.openbsd.org/pub/OpenBSD/OpenBGPD/openbgpd-6.5p0-relnotes.txt

Changes:
  head/net/openbgpd/Makefile
  head/net/openbgpd/distinfo
  head/net/openbgpd/files/patch-Makefile
  head/net/openbgpd/files/patch-Makefile.am
  head/net/openbgpd/files/patch-Makefile.inc
  head/net/openbgpd/files/patch-bgpctl_Makefile
  head/net/openbgpd/files/patch-bgpctl_bgpctl.8
  head/net/openbgpd/files/patch-bgpctl_bgpctl.c
  head/net/openbgpd/files/patch-bgpctl_irr_asset.c
  head/net/openbgpd/files/patch-bgpctl_irr_output.c
  head/net/openbgpd/files/patch-bgpctl_irr_parser.c
  head/net/openbgpd/files/patch-bgpctl_irr_prefix.c
  head/net/openbgpd/files/patch-bgpctl_irrfilter.c
  head/net/openbgpd/files/patch-bgpctl_irrfilter.h
  head/net/openbgpd/files/patch-bgpctl_mrtparser.c
  head/net/openbgpd/files/patch-bgpctl_mrtparser.h
  head/net/openbgpd/files/patch-bgpctl_parser.c
  head/net/openbgpd/files/patch-bgpctl_parser.h
  head/net/openbgpd/files/patch-bgpctl_whois.c
  head/net/openbgpd/files/patch-bgpd_Makefile
  head/net/openbgpd/files/patch-bgpd_bgpd.8
  head/net/openbgpd/files/patch-bgpd_bgpd.c
  head/net/openbgpd/files/patch-bgpd_bgpd.conf.5
  head/net/openbgpd/files/patch-bgpd_bgpd.h
  head/net/openbgpd/files/patch-bgpd_buffer.c
  head/net/openbgpd/files/patch-bgpd_carp.c
  head/net/openbgpd/files/patch-bgpd_config.c
  head/net/openbgpd/files/patch-bgpd_control.c
  head/net/openbgpd/files/patch-bgpd_imsg.c
  head/net/openbgpd/files/patch-bgpd_imsg.h
  head/net/openbgpd/files/patch-bgpd_kroute.c
  head/net/openbgpd/files/patch-bgpd_log.c
  head/net/openbgpd/files/patch-bgpd_log.h
  head/net/openbgpd/files/patch-bgpd_mrt.c
  head/net/openbgpd/files/patch-bgpd_mrt.h
  head/net/openbgpd/files/patch-bgpd_name2id.c
  head/net/openbgpd/files/patch-bgpd_parse.y
  head/net/openbgpd/files/patch-bgpd_pfkey.c
  head/net/openbgpd/files/patch-bgpd_pftable.c
  head/net/openbgpd/files/patch-bgpd_printconf.c
  head/net/openbgpd/files/patch-bgpd_rde.c
  head/net/openbgpd/files/patch-bgpd_rde.h
  head/net/openbgpd/files/patch-bgpd_rde_attr.c
  head/net/openbgpd/files/patch-bgpd_rde_decide.c
  head/net/openbgpd/files/patch-bgpd_rde_filter.c
  head/net/openbgpd/files/patch-bgpd_rde_prefix.c
  head/net/openbgpd/files/patch-bgpd_rde_rib.c
  head/net/openbgpd/files/patch-bgpd_rde_update.c
  head/net/openbgpd/files/patch-bgpd_session.c
  head/net/openbgpd/files/patch-bgpd_session.h
  head/net/openbgpd/files/patch-bgpd_timer.c
  head/net/openbgpd/files/patch-bgpd_util.c
  head/net/openbgpd/files/patch-openbsd-compat_fmt_scaled.c
  head/net/openbgpd/files/patch-openbsd-compat_hash.h
  head/net/openbgpd/files/patch-openbsd-compat_if_media.h
  head/net/openbgpd/files/patch-openbsd-compat_imsg-buffer.c
  head/net/openbgpd/files/patch-openbsd-compat_imsg.c
  head/net/openbgpd/files/patch-openbsd-compat_imsg.h
  head/net/openbgpd/files/patch-openbsd-compat_openbsd-compat.h
  head/net/openbgpd/files/patch-openbsd-compat_util.h
  head/net/openbgpd/pkg-plist
Comment 20 Kurt Jaeger freebsd_committer 2019-05-31 15:10:12 UTC
Committed, thanks to all involved!
Comment 21 Oliver H 2019-06-03 11:37:53 UTC
!Urgent!

Please leave previous version 5.2 port in place, and move this 6.5 release into a new port net/openbgpd-portable, as suggested in comment #7.

The openbgpd version this port uses is the "portable" version, which specifically doesn't support kernel routing updates. Therefore this is only suitable for route servers/collectors, not for production use in routers. This significantly violates POLA :)

(The portable version also doesn't support some non-kroute bgpd.conf syntax like "network inet connected", giving an error "dynamic network statements unimplemened")

If you install it on a router, all your routing will break! As we have just found (thankfully on a minor test system)…

Please roll back and move this to a new port.

Many thanks,

Oliver
Comment 22 Kurt Jaeger freebsd_committer 2019-06-03 20:09:11 UTC
re-open on request
Comment 23 commit-hook freebsd_committer 2019-06-03 20:09:34 UTC
A commit references this bug:

Author: pi
Date: Mon Jun  3 20:08:38 UTC 2019
New revision: 503421
URL: https://svnweb.freebsd.org/changeset/ports/503421

Log:
  net/openbgpd: revert upgrade from 6.5p0 to 5.2.20121209

  - openbgpd version 6.5p0 was the "portable" version, which specifically
    does *not* support kernel routing updates.
  - Therefore this is only suitable for route servers/collectors, not
    for production use in routers. This significantly violates POLA :)

  PR:		213445
  Submitted by:	Oliver H <oliver@watershed.co.uk>

Changes:
  head/net/openbgpd/Makefile
  head/net/openbgpd/distinfo
  head/net/openbgpd/files/patch-Makefile
  head/net/openbgpd/files/patch-Makefile.am
  head/net/openbgpd/files/patch-Makefile.inc
  head/net/openbgpd/files/patch-bgpctl_Makefile
  head/net/openbgpd/files/patch-bgpctl_bgpctl.8
  head/net/openbgpd/files/patch-bgpctl_bgpctl.c
  head/net/openbgpd/files/patch-bgpctl_irr_asset.c
  head/net/openbgpd/files/patch-bgpctl_irr_output.c
  head/net/openbgpd/files/patch-bgpctl_irr_parser.c
  head/net/openbgpd/files/patch-bgpctl_irr_prefix.c
  head/net/openbgpd/files/patch-bgpctl_irrfilter.c
  head/net/openbgpd/files/patch-bgpctl_irrfilter.h
  head/net/openbgpd/files/patch-bgpctl_mrtparser.c
  head/net/openbgpd/files/patch-bgpctl_mrtparser.h
  head/net/openbgpd/files/patch-bgpctl_parser.c
  head/net/openbgpd/files/patch-bgpctl_parser.h
  head/net/openbgpd/files/patch-bgpctl_whois.c
  head/net/openbgpd/files/patch-bgpd_Makefile
  head/net/openbgpd/files/patch-bgpd_bgpd.8
  head/net/openbgpd/files/patch-bgpd_bgpd.c
  head/net/openbgpd/files/patch-bgpd_bgpd.conf.5
  head/net/openbgpd/files/patch-bgpd_bgpd.h
  head/net/openbgpd/files/patch-bgpd_buffer.c
  head/net/openbgpd/files/patch-bgpd_carp.c
  head/net/openbgpd/files/patch-bgpd_config.c
  head/net/openbgpd/files/patch-bgpd_control.c
  head/net/openbgpd/files/patch-bgpd_imsg.c
  head/net/openbgpd/files/patch-bgpd_imsg.h
  head/net/openbgpd/files/patch-bgpd_kroute.c
  head/net/openbgpd/files/patch-bgpd_log.c
  head/net/openbgpd/files/patch-bgpd_log.h
  head/net/openbgpd/files/patch-bgpd_mrt.c
  head/net/openbgpd/files/patch-bgpd_mrt.h
  head/net/openbgpd/files/patch-bgpd_name2id.c
  head/net/openbgpd/files/patch-bgpd_parse.y
  head/net/openbgpd/files/patch-bgpd_pfkey.c
  head/net/openbgpd/files/patch-bgpd_pftable.c
  head/net/openbgpd/files/patch-bgpd_printconf.c
  head/net/openbgpd/files/patch-bgpd_rde.c
  head/net/openbgpd/files/patch-bgpd_rde.h
  head/net/openbgpd/files/patch-bgpd_rde_attr.c
  head/net/openbgpd/files/patch-bgpd_rde_decide.c
  head/net/openbgpd/files/patch-bgpd_rde_filter.c
  head/net/openbgpd/files/patch-bgpd_rde_prefix.c
  head/net/openbgpd/files/patch-bgpd_rde_rib.c
  head/net/openbgpd/files/patch-bgpd_rde_update.c
  head/net/openbgpd/files/patch-bgpd_session.c
  head/net/openbgpd/files/patch-bgpd_session.h
  head/net/openbgpd/files/patch-bgpd_timer.c
  head/net/openbgpd/files/patch-bgpd_util.c
  head/net/openbgpd/files/patch-openbsd-compat_fmt_scaled.c
  head/net/openbgpd/files/patch-openbsd-compat_hash.h
  head/net/openbgpd/files/patch-openbsd-compat_if_media.h
  head/net/openbgpd/files/patch-openbsd-compat_imsg-buffer.c
  head/net/openbgpd/files/patch-openbsd-compat_imsg.c
  head/net/openbgpd/files/patch-openbsd-compat_imsg.h
  head/net/openbgpd/files/patch-openbsd-compat_openbsd-compat.h
  head/net/openbgpd/files/patch-openbsd-compat_util.h
  head/net/openbgpd/pkg-plist
Comment 24 commit-hook freebsd_committer 2019-06-04 17:45:20 UTC
A commit references this bug:

Author: pi
Date: Tue Jun  4 17:45:07 UTC 2019
New revision: 503486
URL: https://svnweb.freebsd.org/changeset/ports/503486

Log:
  New port: net/openbgpd6

  OpenBGPD is a FREE implementation of the Border Gateway Protocol, Version 4.
  It allows ordinary machines to be used as routers exchanging routes with
  other systems speaking the BGP protocol.

  This is the portable version and it does not have the means to
  influence kernel routing tables. It is only suitable for route
  servers/collectors.

  WWW: http://www.openbgpd.org/

  PR:		213445

Changes:
  head/net/Makefile
  head/net/openbgpd6/
  head/net/openbgpd6/Makefile
  head/net/openbgpd6/pkg-descr